Bug 972476 - The system must not send ICMPv4 redirects by default.
Summary: The system must not send ICMPv4 redirects by default.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts
Version: 6.6
Hardware: All
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Lukáš Nykrýn
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 972491
TreeView+ depends on / blocked
 
Reported: 2013-06-09 16:54 UTC by Jason Pyeron
Modified: 2016-11-25 13:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-13 14:21:05 UTC
Target Upstream Version:


Attachments (Terms of Use)
RHEL6 STIG patch (414 bytes, patch)
2013-06-09 16:54 UTC, Jason Pyeron
no flags Details | Diff
specfile patch (1.09 KB, patch)
2013-06-09 16:59 UTC, Jason Pyeron
no flags Details | Diff

Description Jason Pyeron 2013-06-09 16:54:47 UTC
Created attachment 758866 [details]
RHEL6 STIG patch

Description of problem:

The default configuration is not conforming to best practices. The Red Hat Enterprise Linux 6 Security Technical Implementation Guide (STIG) v1.2 published by the Defense Information Systems Agency recommends the changes in the attached patch.

Version-Release number of selected component (if applicable):

http://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/initscripts-9.03.38-1.el6_4.1.src.rpm

How reproducible:

Always

Steps to Reproduce:

perform a yum install

Actual results:

root@test /tmp/setup
#  sysctl net.ipv4.conf.default.send_redirects
net.ipv4.conf.default.send_redirects = 1

Expected results:

$ sysctl net.ipv4.conf.default.send_redirects

The output of the command should indicate a value of "0". If this value is not the default value, investigate how it could have been adjusted at runtime, and verify it is not set improperly in "/etc/sysctl.conf".

Additional info:

see: http://iase.disa.mil/stigs/os/unix/red_hat.html

Comment 1 Jason Pyeron 2013-06-09 16:59:20 UTC
Created attachment 758867 [details]
specfile patch

Comment 3 Václav Pavlín 2013-06-13 14:21:05 UTC
Hi, this bug changes the default behaviour of the system and we don't think it is appropriate to do this in a midstream RHEL 6 release.


Note You need to log in before you can comment on or make changes to this bug.